Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 02 Oct 2017 13:30:44 +0900

>>>>> On Sun, 01 Oct 2017 21:32:22 +0300, Eli Zaretskii <[email-masked]> said:

> I hope to have some time soon to look into this.  I think I
> understand the root cause: we are longjmp-ing in a thread other than
> the one which called setjmp.

The secondary thread seems to be still blocking in a pselect call when
crash occurs.  Maybe SIGIO (and SIGALRM) should be unmasked in the
secondary thread that calls pselect for keyboard input, and the main
thread should forward the delivery of these signals to the secondary
(or mask them) so that the pselect call in the secondary thread can be
interrupted.

				     YAMAMOTO Mitsuharu
				[email-masked]